# Khaotic Engine Reborn: sceneManager Class Reference

Loading...
Searching...
No Matches
sceneManager Class Reference

## Public Member Functions

| sceneManager (sceneManager const &)=delete
void | operator= (sceneManager const &)=delete
void | SetSceneFilePath (const std::string &path)
void | SetSceneFileName (const std::string &name)
bool | SaveScene ()
bool | LoadScene ()

## Static Public Member Functions

static sceneManager & | Get ()

## Detailed Description

Definition at line 4 of file sceneManager.h.

## Member Function Documentation

## Get()

static sceneManager & sceneManager::Get | ( |  | ) |

inlinestatic

Definition at line 7 of file sceneManager.h.

{
static sceneManager instance;
return instance;
}
sceneManager
Definition sceneManager.h:5

## LoadScene()

bool sceneManager::LoadScene | ( |  | ) |

inline

Definition at line 25 of file sceneManager.h.

{
// Implement the load scene logic here
return true;
}

## SaveScene()

bool sceneManager::SaveScene | ( |  | ) |

inline

Definition at line 19 of file sceneManager.h.

{
// Implement the save scene logic here
return true;
}

## SetSceneFileName()

void sceneManager::SetSceneFileName | ( | const std::string & | name | ) |

inline

Definition at line 17 of file sceneManager.h.

{ m_sceneFileName = name; }

## SetSceneFilePath()

void sceneManager::SetSceneFilePath | ( | const std::string & | path | ) |

inline

Definition at line 16 of file sceneManager.h.

{ m_sceneFilePath = path; }

The documentation for this class was generated from the following file:

- enginecustom/src/inc/system/sceneManager.h